## Class TPageStateFormatter

Description

TPageStateFormatter class.

TPageStateFormatter is a utility class to transform the page state into and from a string that can be properly saved in persistent storage.

Depending on the EnableStateValidation and EnableStateEncryption, TPageStateFormatter may do HMAC validation and encryption to prevent the state data from being tampered or viewed. The private keys and hashing/encryption methods are determined by SecurityManager.

- since: 3.1
- version: $Revision: $ $Date: $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/TPage.php (line 1223)

Method Summary
string serialize (TPage $page, mixed $data)
mixed unserialize (TPage $page, string $data)
Methods
serialize (line 1230)

- return: serialized data
- static:
- access: public

string serialize (TPage $page, mixed $data)

- TPage $page
- mixed $data: state data

unserialize (line 1249)

- return: unserialized state data, null if data is corrupted
- static:
- access: public

mixed unserialize (TPage $page, string $data)

- TPage $page
- string $data: serialized data

Documentation generated on Mon, 21 Apr 2008 11:35:45 -0400 by phpDocumentor 1.3.0RC4